---
apiVersion: secrets.hashicorp.com/v1beta1
kind: VaultStaticSecret
metadata:
  name: rancher-bootstrap-secret
  namespace: cattle-system
spec:
  vaultAuthRef: rancher
  mount: kv
  type: kv-v2
  path: service/kubernetes/au/syd1/rancher/bootstrap-password
  refreshAfter: 5m
  destination:
    name: rancher-bootstrap-secret
    create: true
